commit: d82f92ed064996dfb187ef668d74ed5b05546b2d
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 27 03:46:55 2017 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Sep 8 15:51:58 2017 +0000
URL: https://gitweb.gentoo.org/proj/qt.git/commit/?id=d82f92ed
qt5-build.eclass: create a forwarding header for qtbase
Since 5.8, the build system no longer creates a forwarding header causing the
system config to be used instead of what was passed to configure.
This reverts commit 53e51ab097bd73ec05d56c389bc68da17eaf22d5.
Gentoo-bug: 599636
eclass/qt5-build.eclass | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 8066d84f..c0c5bda8 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -615,12 +615,7 @@ qt5_base_configure() {
$([[ ${QT5_MINOR_VERSION} -lt 8 ]] && echo -iconv)
# disable everything to prevent automagic deps (part 3)
- -no-cups -no-evdev -no-tslib -no-icu -no-fontconfig
-
- # FIXME
- # since 5.8, disabling dbus generates a QT_NO_DBUS in
QtCore/qconfig.h,
- # thus specify runtime loading of libdbus to avoid the #define
- $([[ ${QT5_MINOR_VERSION} -ge 8 ]] && echo -dbus-runtime ||
echo -no-dbus)
+ -no-cups -no-evdev -no-tslib -no-icu -no-fontconfig -no-dbus
# let portage handle stripping
-no-strip
@@ -684,6 +679,12 @@ qt5_base_configure() {
"${S}"/configure "${conf[@]}" || die "configure failed"
popd >/dev/null || die
+
+ if [[ ${QT5_MINOR_VERSION} -ge 8 ]]; then
+ # a forwarding header is no longer created since 5.8, causing
the system
+ # config to always be used. bug 599636
+ cp src/corelib/global/qconfig.h include/QtCore/ || die
+ fi
}
# @FUNCTION: qt5_qmake